import axios from "../../utils/axios";

export function getCollectOrderList(params) {
    return axios({
        url: "/device/collect/order/filterList",
        method: "get",
        params: params
    });
}

export function addCollectOrder(data) {
    return axios({
        url: "/device/collect/order/addOrder",
        method: "post",
        data: data
    });
}

export function updateCollectOrder(data) {
    return axios({
        url: "/device/collect/order/update",
        method: "post",
        data: data
    });
}

export function submitAudit(data) {
    return axios({
        url: "/device/collect/order/submitAudit",
        method: "post",
        data: data
    });
}

export function updateCollectOrderStatus(data) {
    return axios({
        url: "/device/collect/order/updateStatus",
        method: "post",
        data: data
    });
}

export function deleteCollectOrder(data) {
    return axios({
        url: "/device/collect/order/delete",
        method: "post",
        data: data
    });
}

export function getCollectOrderDetailList(params) {
    return axios({
        url: "/device/collect/order/detail/filterList",
        method: "get",
        params: params
    });
}

export function checkCode(params) {
    return axios({
        url: "/device/collect/order/detail/checkCode",
        method: "get",
        params: params
    });
}

export function addCollectOrderDetail(data) {
    return axios({
        url: "/device/collect/order/detail/addOrderDetail",
        method: "post",
        data: data
    });
}

export function updateCollectOrderDetail(data) {
    return axios({
        url: "/device/collect/order/detail/updateOrderDetail",
        method: "post",
        data: data
    })
}

export function deleteCollectOrderDetail(data) {
    return axios({
        url: "/device/collect/order/detail/deleteOrderDetail",
        method: "post",
        data: data
    });
}

export function filterDetail(params) {
    return axios({
        url: "/device/MA/order/detail/filterMAOrderDetail",
        method: "get",
        params: params
    });
}

